## gtk+2.0 2.24.23

=== examples/gtkdial/Makefile ===

CC = gcc

CFLAGS = -Wall			 	\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED

dial_test: gtkdial.o dial_test.o
	$(CC) dial_test.o gtkdial.o -o dial_test `pkg-config --libs gtk+-2.0`

dial_test.o: dial_test.c gtkdial.h
	$(CC) -c dial_test.c -o dial_test.o $(CFLAGS) `pkg-config gtk+-2.0 --cflags`

gtkdial.o: gtkdial.c gtkdial.h
	$(CC) -c gtkdial.c -o gtkdial.o $(CFLAGS) `pkg-config gtk+-2.0 --cflags`

clean: 
	rm -f *.o dial_test

## gtk+2.0 2.14.7-1maemo33+0m5

=== debian/changelog ===
gtk+2.0 (2:2.14.7-1maemo33+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2:2.14.7-1maemo33+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Tue, 08 Jun 2010 18:43:51 +0300

gtk+2.0 (2:2.14.7-1maemo33) unstable; urgency=low

  * Fixes: NB#165639 - GtkTreeModelFilter wasting CPU in g_array_remove_index()
  * Fixes: NB#167197 - GtkTreeView is calling gtk_widget_style_get() too much

 -- Alberto Garcia <agarcia@igalia.com>  Tue, 01 Jun 2010 17:36:10 +0200

gtk+2.0 (2:2.14.7-1maemo32) unstable; urgency=low

  * Fixed cloned bug #162994 - Call menu is blank (PE1 version)
  * Fixed cloned bug #162995 - Desktop menu is distorted (PE1 version)

 -- Marc Ordinas i Llopis <marc.ordinasillopis@collabora.cu.uk>  Thu, 01 Apr 2010 11:46:52 +0200

gtk+2.0 (2:2.14.7-1maemo31) unstable; urgency=low

  * Fixed NB#162694 - Call menu is blank
  * Fixed NB#162617 - Desktop menu is distorted

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 31 Mar 2010 16:10:17 +0200

gtk+2.0 (2:2.14.7-1maemo30) unstable; urgency=low

  * Fixes: NB#151715 - theme is not applied for applications

 -- Alberto Garcia <agarcia@igalia.com>  Mon, 08 Mar 2010 12:07:18 +0100

gtk+2.0 (2:2.14.7-1maemo29) unstable; urgency=low

  * Fixes: NB#154810 - Replace file Confirmation Note is not shown in Save
  * Fixes: NB#156830 - portrait layout for receiving call shown in
    landscape mode
  * Fixes: NB#156896 - Problem with GtkDialog in portrait mode
  * Fixes: NB#155084 - Lock code dialog corruption

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 24 Feb 2010 11:45:00 +0000

gtk+2.0 (2:2.14.7-1maemo28) unstable; urgency=low

  * Fixes: NB#155392 - GtkDialog are not made full width
  * Fixes: NB#136782 - Task launcher shows standard icon instead of
    application icon

 -- Alberto Garcia <agarcia@igalia.com>  Wed, 03 Feb 2010 14:14:15 +0100

gtk+2.0 (2:2.14.7-1maemo26) unstable; urgency=low

  * Fixes: NB#116221 - Sharing TIF image with Size Option Large makes
    the image much larger than the original one when shared to OVI or
    Flickr.
  * Fixes: NB#143098 - Right arrow key after doing a select all, places the
    cursor at the beginning of the selection rather than the end on textview.
  * Fixes: NB#132036 - NEON optimizations for libjpeg62 and gdk-pixbuf
  * Fixes: NB#152780 - Dialogs to support portrait mode
  * Fixes: NB#153490 - GtkTreeView increases model's ref_count when used with
    a HildonPannableArea

 -- Christian Dywan <christian@lanedo.com>  Tue, 26 Jan 2010 14:06:42 +0100

gtk+2.0 (2:2.14.7-1maemo22) unstable; urgency=low

  * Fixes: NB#130532 - Fonts are getting magnified
  * Fixes: NB#125177 - GtkButton + hildon_gtk_widget_set_theme_size() has
    wrong style when created via GtkBuilder

 -- Christian Dywan <christian@lanedo.com>  Wed, 09 Dec 2009 11:15:53 +0100

gtk+2.0 (2:2.14.7-1maemo21) unstable; urgency=low

  * Revert support for the _MAEMO_GTK_FLUSH_ICONS atom.
  * Make gtk-update-icon-cache a no-op, remove the icon cache and remove the
    dpkg file trigger.
  * Fixes: NB#149092 - Remove icon cache

 -- Christian Dywan <christian@lanedo.com>  Tue, 02 Dec 2009 16:34:23 +0100

gtk+2.0 (2:2.14.7-1maemo20) unstable; urgency=low

  * Restore the previous epoch.

 -- Christian Dywan <christian@lanedo.com>  Thu, 26 Nov 2009 14:23:11 +0100

gtk+2.0 (3:2.14.7-1maemo20) unstable; urgency=low

  * Increase version as well.

 -- Christian Dywan <christian@lanedo.com>  Wed, 25 Nov 2009 12:05:13 +0100

gtk+2.0 (3:2.14.7-1maemo19) unstable; urgency=low

  * Increase epoch to iron out the versioning.

 -- Christian Dywan <christian@lanedo.com>  Wed, 25 Nov 2009 12:02:45 +0100

gtk+2.0 (2:2.14.7-1maemo19) unstable; urgency=low

  * Use dpkg file trigger on /usr/share/icons/hicolor for gtk-update-icon-cache.

 -- Christian Dywan <christian@lanedo.com>  Fri, 20 Nov 2009 12:35:17 +0100

gtk+2.0 (2:2.14.7-1maemo18) unstable; urgency=low

  * Implement _MAEMO_GTK_FLUSH_ICONS atom and use it in gtk-update-icon-cache.

 -- Christian Dywan <christian@lanedo.com>  Wed, 18 Nov 2009 12:54:03 +0100

gtk+2.0 (2:2.14.7-1maemo17) unstable; urgency=low

  * Fixes: NB#143062 - Browser, "Save page as" title right-aligned

 -- Christian Dywan <christian@lanedo.com>  Mon, 16 Nov 2009 13:01:11 +0100

gtk+2.0 (2:2.14.7-1maemo16) unstable; urgency=low

  * Fixes: NB#143062 - Browser, "Save page as" title right-aligned

 -- Christian Dywan <christian@lanedo.com>  Thu, 12 Nov 2009 10:14:23 +0100

gtk+2.0 (2:2.14.7-1maemo15) unstable; urgency=low

  * Fixes: NB#140339 - Unnecessary wake-ups in application due to XAtoms
  * Fixes: NB#128673 - Virtual keypad opened when not needed in Phone
    application -TRUE
  * Fixes: NB#143183 - [Select contact] button appears to be in pressed
    state, in certain scenario
  * Fixes: NB#128673 - Virtual keypad opened when not needed in Phone
    application -TRUE

 -- Michael Natterer <mitch@lanedo.com>  Thu, 05 Nov 2009 16:16:16 +0100

gtk+2.0 (2:2.14.7-1maemo14) unstable; urgency=low

  * Fixes: NB#136999 - Cannot paste phonenumber to mobile number
    field, if number contains space
  * Fixes: NB#120908 - Combo box is not disabled when there are no
    words stored in the history of Find toolbar
  * Fixes: NB#137960 - position of CSM is changing while rotating from
    portrait mode to landscape mode
  * Fixes: NB#110430 - Failed assertion in _gtk_rbtree_node_find_offset()

 -- Michael Natterer <mitch@lanedo.com>  Fri, 16 Oct 2009 12:40:00 +0200

gtk+2.0 (2:2.14.7-1maemo13) unstable; urgency=low

  * Fixes: NB#131644 - Unable to launch FKB when smileys are copied
    and pasted in notes application.
  * Fixes: NB#128756 - sliders in profiles, responding for up/down
    arrow keys, though focus not visible

 -- Michael Natterer <mitch@lanedo.com>  Fri, 09 Oct 2009 16:00:00 +0200

gtk+2.0 (2:2.14.7-1maemo12) unstable; urgency=low

  * Fixes: NB#139504 - GdkScreen needs to respond to size events from
    the window manager


=== debian/control ===
Source: gtk+2.0
Section: libs
Priority: optional
Maintainer: Claudio Saavedra <csaavedra@igalia.com>
Build-Depends: debhelper (>> 4.0.0), automake1.7, gettext, pkg-config, libglib2.0-dev (>= 2.12.12-1osso9), libpango1.0-dev (>= 1.12.0), libatk1.0-dev (>= 1.9.0), libcairo2-dev (>= 1.2.0), libx11-dev, libxext-dev, libxi-dev, libxrandr-dev, libxt-dev, libxrender-dev, libxft-dev, libxcursor-dev,  libjpeg62-dev, libpng12-dev, libtiff4-dev, libexpat1-dev, libxfixes-dev, libtool (>= 1.5.12), libxtst-dev, libxcomposite-dev, libxdamage-dev
Build-Depends-Indep: gtk-doc-tools, libglib2.0-doc
Standards-Version: 3.6.1.0

Package: libgtk2.0-0
Section: libs
Architecture: any
Depends: libgtk2.0-common (>= ${Source-Version}), libgtk2.0-bin (>= ${Source-Version}), gtk20-l10n, ${shlibs:Depends}
Conflicts: libgtk2.0-0png3, eog2 (<< 1.0.1-4), gnome-panel2 (<< 2.0.4-1), celestia (<< 1.2.4-4), gimp1.3 (<< 1.3.7-1.1), metatheme (<< 0.9.7-3), libgnomeui-0 (<< 2.0.6-2), gtk2.0-examples (<< 2.2.0), libgdkxft0, gtk2-engines-wonderland (<= 1.0-2), gtk2-engines-cleanice (<= 1.2.8-1), gtk2-engines-thinice (<< 2.6), gtk2-engines-crux (<< 2.6), gtk2-engines-mist (<< 2.6), gtk2-engines-highcontrast (<< 2.6), gtk2-engines-lighthouseblue (<< 2.6), gnome-themes (<< 2.6), gtk2-engines-industrial (<< 0.2.32-5), gtk2-engines-pixbuf (<< 2.2.0-2.1), gtk2-engines-redmond95 (<< 2.2.0-2.1), gtk2-engines-metal (<< 2.2.0-2.1), gtk2-engines-magicchicken (<= 1.1.1-4), gtk2-engines-qtpixmap (<= 0.28-1), gtk2-engines-smooth (<< 0.5.6-3), gtk2-engines-xfce (<= 2.1.8-1), tamil-gtk2im (<= 2.2-4), imhangul (<< 0.9.9-3), librsvg2-common (<< 2.6.3-1)
Replaces: libgtk2.0-0png3
Description: The GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk2.0-common
Section: misc
Architecture: all
Depends: libgtk2.0-0, ${misc:Depends}
Replaces: libgtk1.3-common, libgtk2.0-data
Conflicts: libgtk1.3-common, libgtk2.0-data
Description: Common files for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk2.0-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libgtk2.0-common (<= 2.4.0-3), libgtk2.0-dev (<= 2.4.3-1)
Conflicts: libgtk2.0-dev (<= 2.4.3-1)
Description: The programs for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libgtk2.0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libgtk2.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.12.0), libpango1.0-dev (>= 1.12.0), libatk1.0-dev (>= 1.9.0), libcairo2-dev (>= 1.2.0), libx11-dev, libxext-dev, pkg-config
Suggests: libgtk2.0-doc
Replaces: libgtk1.3-dev
Conflicts: libgtk1.3-dev
Description: Development files for the GTK+ library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which is
 needed for developing the GTK+ applications.

Package: libgtk2.0-0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgtk2.0-0 (= ${Source-Version})
Conflicts: libgtk2.0-dbg
Replaces: libgtk2.0-dbg
Description: The GTK+ graphical user interface library, debugging symbols
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains symbol tables for debugging.

Package: libgtk2.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Replaces: libgtk1.3-doc
Conflicts: libgtk1.3-doc
Suggests: libglib2.0-doc, libatk1.0-doc, libpango1.0-doc
Description: Documentation for the GTK+ graphical user interface library
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK+ library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: gtk2.0-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libgtk1.3-dev
Description: Examples files for the GTK+ 2.0
 The GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, the GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the examples files and a demonstration program
 for the GTK+-2.0.

Package: libgail18
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0 (= ${binary:Version})
Replaces: libgail17, libgtk2.0-0 (<< 2.14.3-1maemo4)
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail18 (= ${binary:Version})
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgail18 (= ${binary:Version}),
         libgail-common (= ${binary:Version}),
         libgtk2.0-dev (= ${binary:Version}),
         pkg-config,
         libatk1.0-dev (>= 1.13.0)
Suggests: libgail-doc
Replaces: libgtk2.0-dev (<< 2.14.3-1maemo4)
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail18-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libgail18 (= ${binary:Version})
Recommends: libgtk2.0-0-dbg
Replaces: libgtk2.0-0-dbg (<< 2.14.3-1maemo4), libgail-dbg
Provides: libgail-dbg
Conflicts: libgail-dbg
Description: Gail libraries and debugging symbols
 Gail is the "GNOME Accessibility Implementation Library".
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

# Package: libgail-doc
# Architecture: all
# Section: doc
# Depends: ${misc:Depends}, lynx | www-browser
# Replaces: libgtk2.0-doc (<< 2.14.5)
# Description: documentation files of the Gail library
#  Gail implements ATK interfaces for GTK+ widgets which are dynamically
#  loadable at runtime by a GTK+ application. Once loaded, those parts of
#  an application that use standard GTK+ widgets will have a basic level
#  of accessibility, without the need to modify the application at all.
#  .
#  This package contains the documentation files for Gail.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SOURCE_DIR=$(CURDIR)
BUILD_SHARED_DIR=$(SOURCE_DIR)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Prefer hardware floating point if enabled
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
        ENABLE_GTK_DOC = --disable-gtk-doc
else
# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
ENABLE_GTK_DOC ?= --enable-gtk-doc
else
ENABLE_GTK_DOC = --disable-gtk-doc
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif

# Ensure the build aborts when there are still references to undefined
# symbols.
### Disabled for now as gtk is actually broken currently
###LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

# Disable all locales to save footprint
export LINGUAS = 

##
version_with_epoch=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' -e 's/-[A-Za-z0-9\.\+]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
version=$(shell echo ${version_with_epoch} | sed -e 's/^[0-9]*://')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
apiver=2.0
soname=0
suffix=
modver=$(major).$(minor).0
glibver=2.0
atkver=1.0
pangover=1.0
libpath=$(BUILD_SHARED_DIR)/gdk-pixbuf/.libs:$(BUILD_SHARED_DIR)/gdk/.libs:$(BUILD_SHARED_DIR)/gtk/.libs

SOURCE_DIR=$(CURDIR)

debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}${suffix}/g' -e 's/@VERSION@/${version}/g' $@.in > $@

$(SOURCE_DIR)/configure:
	AUTOGEN_SUBDIR_MODE=1 $(SOURCE_DIR)/autogen.sh

configure-shared: $(BUILD_SHARED_DIR)/config.status
$(BUILD_SHARED_DIR)/config.status: $(SOURCE_DIR)/configure
	dh_testdir

	# Add here commands to configure the package.
	cd $(BUILD_SHARED_DIR) && \
	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(SOURCE_DIR)/configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--with-html-dir=\$${prefix}/share/doc/libgtk$(apiver)-doc \
			--with-xinput=yes \
			--enable-shared \
			--disable-static \
			--disable-dependency-tracking \
			--disable-gtk-doc \
			--with-maemo=yes \
			--without-libjasper

	cd $(BUILD_SHARED_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool


configure: configure-shared

build-shared: debian/control configure-shared $(BUILD_SHARED_DIR)/build-stamp
$(BUILD_SHARED_DIR)/build-stamp:
	dh_testdir

	-rm -f $(SOURCE_DIR)/install-test-stamp

	# Add here commands to compile the package.
	$(MAKE) $(NJOBS) -C $(BUILD_SHARED_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	# The FAQ and tutorial are normally built only during 'make dist'
	$(MAKE) -C $(BUILD_SHARED_DIR)/docs/faq html
	$(MAKE) -C $(BUILD_SHARED_DIR)/docs/tutorial html

	touch $@

build: build-shared

clean: debian/control
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-make maintainer-clean
	-rm -f $(SOURCE_DIR)/install-test-stamp
	-rm -f $(SOURCE_DIR)/build-stamp

	dh_clean

install-test: $(SOURCE_DIR)/install-test-stamp
$(SOURCE_DIR)/install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	touch $@

install-shared: build-shared install-test
	# Add here commands to install the package into debian/tmp
	$(MAKE) -C $(BUILD_SHARED_DIR) install \
		DESTDIR=$(CURDIR)/debian/tmp

install: install-shared
	# generating debian files from .in
	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e "s/@VERSION@/${version}/g" -e "s/@MODVER@/${modver}/g" -e "s/@APIVER@/${apiver}/g" $$f > `echo $$f | sed -e "s/\.in//"`; \
	done

	# for -doc
	# (disabled pending on tools update)
	#cp -a $(BUILD_SHARED_DIR)/docs/faq/html debian/libgtk$(apiver)-doc/usr/share/doc/libgtk$(apiver)-doc/gtk-faq/
	#cp -a $(CURDIR)/debian/gtk-faq.devhelp debian/libgtk$(apiver)-doc/usr/share/doc/libgtk$(apiver)-doc/gtk-faq/

	# (disabled pending on tools update)
	#cp -a $(BUILD_SHARED_DIR)/docs/tutorial/html debian/libgtk$(apiver)-doc/usr/share/doc/libgtk$(apiver)-doc/gtk-tutorial/
	#cp $(CURDIR)/debian/gtk-tutorial.devhelp debian/libgtk$(apiver)-doc/usr/share/doc/libgtk$(apiver)-doc/gtk-tutorial/

	cp $(BUILD_SHARED_DIR)/docs/*.txt debian/libgtk$(apiver)-doc/usr/share/doc/libgtk$(apiver)-doc

	# examples files (without Makefile.am, find-examples.sh and .cvsignore)
	mkdir -p $(CURDIR)/debian/gtk$(apiver)-examples/usr/share/doc/gtk$(apiver)-examples
	find examples -name .svn -prune -o \
		-not \( -type d -o -name Makefile.am -o -name find-examples.sh -o -name .cvsignore \) -print | \
		tar cf - -T- | \
		tar xf - -C $(CURDIR)/debian/gtk$(apiver)-examples/usr/share/doc/gtk$(apiver)-examples

	# debian files
	install -m 755 $(CURDIR)/debian/update-gtk-immodules \
		       $(CURDIR)/debian/libgtk$(apiver)-bin/usr/sbin/
	install -m 755 $(CURDIR)/debian/update-gdkpixbuf-loaders \
		       $(CURDIR)/debian/libgtk$(apiver)-bin/usr/sbin/

	# don't need executable attribute
	for f in `find $(CURDIR)/debian/tmp/usr/share/themes -type f`; do \
		chmod a-x $$f; \
	done

	# replace gtk-update-icon-cache with no-op wrapper
	rm debian/tmp/usr/bin/gtk-update-icon-cache
	install -m 755 $(CURDIR)/debian/gtk-update-icon-cache $(CURDIR)/debian/tmp/usr/bin/

	# clean the unnecessary files up
	rm -rf debian/tmp/usr/share/gtk-doc

	dh_movefiles --sourcedir=debian/tmp
	-find $(CURDIR)/debian/ -type d -empty | xargs rmdir -p > /dev/null 2>&1

	# don't delete /etc/gtk-2.0
	install -d $(CURDIR)/debian/libgtk$(apiver)-bin/etc/gtk-$(apiver)

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i

	rm -rf $(CURDIR)/debian/libgtk$(apiver)-common/usr/share/doc/libgtk$(apiver)-common

	dh_link -plibgtk$(apiver)-doc				\
		usr/share/doc/libglib$(glibver)-doc/glib	\
		usr/share/doc/libgtk$(apiver)-doc/glib
	dh_link -plibgtk$(apiver)-doc				\
		usr/share/doc/libglib$(glibver)-doc/gobject	\
		usr/share/doc/libgtk$(apiver)-doc/gobject
	dh_link -plibgtk$(apiver)-doc				\
		usr/share/doc/libatk$(atkver)-doc/atk		\
		usr/share/doc/libgtk$(apiver)-doc/atk
	dh_link -plibgtk$(apiver)-doc				\
		usr/share/doc/libpango$(pangover)-doc/pango	\
		usr/share/doc/libgtk$(apiver)-doc/pango
	dh_link -plibgtk$(apiver)-common			\
		usr/share/doc/libgtk$(apiver)-$(soname)$(suffix) \
		usr/share/doc/libgtk$(apiver)-common

# create symlinks in /usr/share/gtk-doc/html
	for i in gdk gdk-pixbuf gtk gtk-faq gtk-tutorial; do	\
		dh_link -plibgtk$(apiver)-doc			\
			usr/share/doc/libgtk$(apiver)-doc/$$i	\
			usr/share/gtk-doc/html/$$i;		\
	done

	dh_installinfo -i

## gtk+2.0 2.14.7-1maemo34+0cssu2

=== debian/changelog ===
gtk+2.0 (2:2.14.7-1maemo34+0cssu2) unstable; urgency=low

  * Increase version for including fixes from 2:2.14.7-1maemo34

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 29 Jan 2013 15:22:00 +0100

gtk+2.0 (2:2.14.7-1maemo34+0cssu1) unstable; urgency=low

  * Support for landscape dialogs in portrait mode

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 06 Sep 2011 20:06:27 +0300

gtk+2.0 (2:2.14.7-1maemo34) unstable; urgency=low

  * Fixes: NB#136782 - Task launcher shows standard icon instead of
    application icon
  * Fixes: NB#175659 - One of the account is always highlighted in VoIP
    and IM accounts selection

 -- Alberto Garcia <agarcia@igalia.com>  Thu, 05 Aug 2010 15:28:06 +0200
